<?php
/////////////////////////////
// DISPLAY ITEM
/////////////////////////////

	// LOAD VIEWITEM HELPER CLASS
	require_once(INC_FOLDER .'mg2_view_helper.php');
	require_once(INC_FOLDER .'mg2_viewitem_helper.php');
	$ViewitemHelper = &$mg2->getInstance('MG2ViewitemHelper');

	// DELETE NOT DISPLAYED ELEMENTS
	$mg2->commentsets    =  0;		// comments
	$mg2->showexif       =  0;		// exif displaying
	$mg2->navtype        = 64;		// next item
	$mg2->blockCopyright = true;	// copyright
	$mg2->layoutsetting &= 16158;	// switch off: folder navbar, item navbar, transgif, description, keywords
											// allowed:    8192, 4096, 2048, 1024, 512, 256, 16, 8

	// GET ITEM DATA
	$fileName	 = trim($imageRC[6]);
	$subdir		 = trim($imageRC[7]);
	$fileNameURL = rawurlencode($fileName);
	$imagePath	 = $mg2->getFilePathByName($fileName, $subdir);
	$mediumPath  = $mg2->getFilePathByName($fileName, $subdir, 'medium');
	$contentType = $mg2->getContentType($itemID);
	$isItemNav	 = ((int)$mg2->navtype & 16)? true:false;

	// CHECK ITEM
	$mg2->lightboxURL = false;
	$mg2->switchURL	= false;
	if (is_readable($imagePath)) {
		$mg2->imagefile = $mg2->getFilePathByName($fileNameURL, $subdir);	// only for flash content
		$mg2->width		 = (int)$imageRC[8];
		$mg2->height	 = (int)$imageRC[9];
	}
	elseif (is_file($imagePath)) {
		$mg2->imagefile = SKIN_IMAGES .'1x1.gif';
		$mg2->width		 = (int)$imageRC[8];
		$mg2->height	 = (int)$imageRC[9];
		$mg2->status	 = $mg2->lang['filenotreadable'];
	}
	// ITEM DATABASE ENTRY OK, BUT NO ITEM EXISTS
	else exit;

	// file_put_contents('preload.txt', "\nContent: ". $_GET['preload'], FILE_APPEND);

	// SET CLICK COUNTER?
	do {
		if (isset($_GET['preload']))													break;
		if (isset($_GET['showform']))													break;
		if (!($mg2->foldersetting & 128) && !($mg2->extendedset & 256))	break;
		if (isset($_SESSION[GALLERY_ID]['already_clicked'][$itemID]))		break;

		$Counter = &$mg2->getInstance('MG2Counter');
		if ($Counter->setDatabase($itemID, 1, -1))
		{
			$_SESSION[GALLERY_ID]['already_clicked'][$itemID] = true;
		}
	}
	while(0);

	// IMAGE CONTENT
	if (isset($contentType['image']))
	{
		if (in_array(2, $contentType, true) !== false) {
			header('Content-type: image/jpeg');
		}
		elseif (in_array(3, $contentType, true) !== false) {
			header('Content-type: image/png');
		}
		elseif (in_array(1, $contentType, true) !== false) {
			header('Content-type: image/gif');
		}
		elseif (in_array(6, $contentType, true) !== false) {
			header('Content-type: image/svg+xml');
		}
		ob_clean();
		flush();
		readfile($imagePath);
		exit;
	}
	// FLASH CONTENT
	elseif (isset($contentType['flash']))
	{
		// NAVIGATION IMAGE MAP FOR SPLASH-IMAGE
		if ($flagM = (int)$mg2->navtype & 224) {
			$ViewitemHelper->imageMap = sprintf(
													'<area shape="rect" coords="0,0,%d,%d" href="%s" %s alt="" title="" />',
													$mg2->width,
													$mg2->height,
													'javascript:void()',
													'onclick = "parent.$.colorbox.next();"'
												 );
		}

		// GET SPLASH DATA
		$Splashes = &$mg2->getInstance('MG2Splashes');
		list(	$thumbID,
				$splashID,
				$backgrID,
				$splashColor,
				$flwp_bgColor) = $Splashes->getSplashRecord($itemID);

		// GET SPLASH AND FLASH BACKGROUND URLs
		$splashURL	= 'none';	// CSS like
		$flwp_bgURL = '';			// for 'flowplayer'
		if (isset($mg2->all_items[$splashID])) {
			$splashName = rawurlencode(trim($mg2->all_items[$splashID][6]));
			$splashPath = trim($mg2->all_items[$splashID][7]);
			$splashURL  = 'url('.$mg2->getFilePathByName($splashName, $splashPath).')';
		}
		if (isset($mg2->all_items[$backgrID])) {
			$backgrName = rawurlencode(trim($mg2->all_items[$backgrID][6]));
			$backgrPath = trim($mg2->all_items[$backgrID][7]);
			$flwp_bgURL = $mg2->getFilePathByName($backgrName, $backgrPath);
		}

		// IS SET SPLASH CONTENT
		$isSplash = ($splashColor{0} === '#' || $splashURL !== 'none')?
						 true
						 :
						 false;

		// GENERAL FLASH PLAYER SETTINGS
		$flwp_repeat	= 'repeat';	// e.g.: 'no-repeat', 'repeat-x'
		$flwp_gradient	= 'none';	// e.g.: '[0.3, 0]', 'none', 'low', 'medium', 'high'
		$flwp_scaling	= 'fit';		// 'scale' or 'fit'
		$flwp_opacity	= '0.65';	// 0 up to 1 (controlls)
		$flwp_volume	= 'true';
		$flwp_mute		= 'true';

		// VIDEO SETTINGS
		if (isset($contentType['video'])) {
			$flwp_controls	  = isset($contentType['swf']) ? false:true;
			$flwp_labelPlay  = $flwp_controls;
			$flwp_autoHide   = 'always';
			$flwp_fullscreen = 'true';
			$flwp_autoPlay	  = ($splashURL || $splashColor)? 'true':'false';
		}
		// AUDIO SETTINGS
		else {
			$flwp_controls	  = true;
			$flwp_labelPlay  = false;
			$flwp_autoHide   = 'never';
			$flwp_fullscreen = 'false';
			$flwp_autoPlay   = 'true';
		}

		// INCLUDE FLOWPLAYER ADDON
		ob_start();
		include(ADDON_FOLDER .'flowplayer/galleryHeadExtension.php');
		$mg2->htmlHeadExtension = ob_get_contents();
		ob_end_clean();

		// SET CSS FOR FLASH CONTENT (iFRAME)
		$mg2->htmlHeadExtension.= '
			<style type="text/css">
				.viewflash {
					margin: 0 !important;
					border: 0 !important;
				}
			</style>
		';

		include(SKIN_FOLDER .'templates/gallery_header.php');
		include(ADDON_FOLDER .'flowplayer/installFlowplayer.php');
	}

	// IF NOT SET "INCLUDE GALLERY"
	if (!($mg2->extendedset & 512)) {
		include(SKIN_FOLDER .'templates/gallery_footer.php');
	}
?> 
